<?xml version="1.0" encoding="utf-8" ?>
<CustomConfig>
    <changeThresh>
        <ROI_TYPE_CENTER type='int'>0</ROI_TYPE_CENTER>
        <ROI_TYPE_FACE type='int'>5</ROI_TYPE_FACE>
        <ROI_TYPE_OBJECT type='int'>5</ROI_TYPE_OBJECT>
        <ROI_TYPE_TOUCH type='int'>1</ROI_TYPE_TOUCH>
    </changeThresh>
    <mixWeight>
        <!-- face: area + dist + landmark = 1 -->
        <faceAreaWeight type='float'>0.6</faceAreaWeight>
        <faceDistWeight type='float'>0.2</faceDistWeight>
        <landmarkWeight type='float'>0.2</landmarkWeight>
        <!-- object: area + dist = 1 -->
        <objectAreaWeight type='float'>0.7</objectAreaWeight>
        <objectDistWeight type='float'>0.3</objectDistWeight>
        <focusCenterWeight type='float'>0.3</focusCenterWeight>
        <frameCenterWeight type='float'>0.7</frameCenterWeight>
        <threshOfCloseToFaceFocusCenter type='float'>0.7</threshOfCloseToFaceFocusCenter>
        <threshOfCloseToObjectFocusCenter type='float'>0.7</threshOfCloseToObjectFocusCenter>
        <gainOfFaceFocusROI type='float'>0.1</gainOfFaceFocusROI>
        <gainOfObjectFocusROI type='float'>0.1</gainOfObjectFocusROI>
    </mixWeight>
    <scoreMetric>
        <!-- 0: gaussian, 1: iou -->
        <faceROIMetric type='int'>0</faceROIMetric>
        <objectROIMetric type='int'>0</objectROIMetric>
    </scoreMetric>
    <sigmaFactor>
        <!-- exp(x^2/sigma), sigma = (frameW / sigmaFactor)^2 -->
        <faceSigmaFactor type='float'>4.0</faceSigmaFactor>
        <objectSigmaFactor type='float'>4.0</objectSigmaFactor>
    </sigmaFactor>
    <faceThresh>
        <faceInitFilterWidthCareFactor type='float'>0.7</faceInitFilterWidthCareFactor>
        <faceInitFilterHeightCareFactor type='float'>0.7</faceInitFilterHeightCareFactor>
        <faceUpdateFilterWidthCareFactor type='float'>0.7</faceUpdateFilterWidthCareFactor>
        <faceUpdateFilterHeightCareFactor type='float'>0.7</faceUpdateFilterHeightCareFactor>
        <faceAreaFilterFactor type='float'>0.8</faceAreaFilterFactor>
        <faceSizeThreshold type='int'>10</faceSizeThreshold>
    </faceThresh>
    <sizeThresh>
        <odInitFilterWidthCareFactor type='float'>0.5</odInitFilterWidthCareFactor>
        <odInitFilterHeightCareFactor type='float'>0.5</odInitFilterHeightCareFactor>
        <odUpdateFilterWidthCareFactor type='float'>0.7</odUpdateFilterWidthCareFactor>
        <odUpdateFilterHeightCareFactor type='float'>0.7</odUpdateFilterHeightCareFactor>
        <odStillFilterWidthFactor type='float'>0.8</odStillFilterWidthFactor>
        <odStillFilterHeightFactor type='float'>0.8</odStillFilterHeightFactor>
        <areaFilterFactor type='float'>0.6</areaFilterFactor>
        <!-- init state -->
        <stateZero>
            <OD_TYPE_NONE type='int'>0</OD_TYPE_NONE>
            <OD_TYPE_PEOPLE type='int'>90</OD_TYPE_PEOPLE>
            <OD_TYPE_CAT type='int'>60</OD_TYPE_CAT>
            <OD_TYPE_DOG type='int'>80</OD_TYPE_DOG>
            <OD_TYPE_FLOWER type='int'>70</OD_TYPE_FLOWER>
            <OD_TYPE_BIRD type='int'>60</OD_TYPE_BIRD>
            <OD_TYPE_BIKE type='int'>60</OD_TYPE_BIKE>
            <OD_TYPE_BUS type='int'>120</OD_TYPE_BUS>
            <OD_TYPE_MOTOR type='int'>60</OD_TYPE_MOTOR>
            <OD_TYPE_TRUCK type='int'>60</OD_TYPE_TRUCK>
            <OD_TYPE_CAR type='int'>120</OD_TYPE_CAR>
            <OD_TYPE_TRAIN type='int'>60</OD_TYPE_TRAIN>
            <OD_TYPE_SHIP type='int'>60</OD_TYPE_SHIP>
            <OD_TYPE_HORSE type='int'>60</OD_TYPE_HORSE>
            <OD_TYPE_KITE type='int'>60</OD_TYPE_KITE>
            <OD_TYPE_BALLOON type='int'>60</OD_TYPE_BALLOON>
            <OD_TYPE_VASE type='int'>60</OD_TYPE_VASE>
            <OD_TYPE_BOWL type='int'>60</OD_TYPE_BOWL>
            <OD_TYPE_DISH type='int'>60</OD_TYPE_DISH>
            <OD_TYPE_CUP type='int'>60</OD_TYPE_CUP>
            <OD_TYPE_HANDBAG type='int'>60</OD_TYPE_HANDBAG>
            <OD_TYPE_MOON type='int'>10</OD_TYPE_MOON>
            <OD_TYPE_CAT_HEAD type='int'>10</OD_TYPE_CAT_HEAD>
            <OD_TYPE_DOG_HEAD type='int'>10</OD_TYPE_DOG_HEAD>
        </stateZero>
        <!-- tracking state -->
        <stateOne>
            <OD_TYPE_NONE type='int'>0</OD_TYPE_NONE>
            <OD_TYPE_PEOPLE type='int'>50</OD_TYPE_PEOPLE>
            <OD_TYPE_CAT type='int'>50</OD_TYPE_CAT>
            <OD_TYPE_DOG type='int'>50</OD_TYPE_DOG>
            <OD_TYPE_FLOWER type='int'>60</OD_TYPE_FLOWER>
            <OD_TYPE_BIRD type='int'>50</OD_TYPE_BIRD>
            <OD_TYPE_BIKE type='int'>50</OD_TYPE_BIKE>
            <OD_TYPE_BUS type='int'>50</OD_TYPE_BUS>
            <OD_TYPE_MOTOR type='int'>50</OD_TYPE_MOTOR>
            <OD_TYPE_TRUCK type='int'>50</OD_TYPE_TRUCK>
            <OD_TYPE_CAR type='int'>50</OD_TYPE_CAR>
            <OD_TYPE_TRAIN type='int'>50</OD_TYPE_TRAIN>
            <OD_TYPE_SHIP type='int'>50</OD_TYPE_SHIP>
            <OD_TYPE_HORSE type='int'>50</OD_TYPE_HORSE>
            <OD_TYPE_KITE type='int'>50</OD_TYPE_KITE>
            <OD_TYPE_BALLOON type='int'>50</OD_TYPE_BALLOON>
            <OD_TYPE_VASE type='int'>50</OD_TYPE_VASE>
            <OD_TYPE_BOWL type='int'>50</OD_TYPE_BOWL>
            <OD_TYPE_DISH type='int'>50</OD_TYPE_DISH>
            <OD_TYPE_CUP type='int'>50</OD_TYPE_CUP>
            <OD_TYPE_HANDBAG type='int'>50</OD_TYPE_HANDBAG>
            <OD_TYPE_MOON type='int'>10</OD_TYPE_MOON>
            <OD_TYPE_CAT_HEAD type='int'>10</OD_TYPE_CAT_HEAD>
            <OD_TYPE_DOG_HEAD type='int'>10</OD_TYPE_DOG_HEAD>
        </stateOne>
    </sizeThresh>
</CustomConfig>